package com.kernelmaft.zanbur

import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier


@Composable fun SceneSwitcher ( group : Group , onSwitch : (Scene) -> Unit ) {
	CenteringColumn {
		Text ( group . name )
		Spacer ( Modifier . height ( compactSpacing ) )

		for ( scene in group . scenes ) {
			val colors =
				if ( scene . id == group . currentScene ?. id ) ButtonDefaults . buttonColors ()
				else ButtonDefaults . filledTonalButtonColors ()

			Button ( { onSwitch (scene) } , Modifier . fillMaxWidth () , true , ButtonDefaults . shape , colors ) {
				Text ( scene . name )
			}
		}
	}
}
