package com.kernelmaft.zanbur

import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.foundation.layout.Arrangement.Center
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.ColumnScope
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.MaterialTheme.shapes
import androidx.compose.material3.MaterialTheme.typography
import androidx.compose.material3.dynamicDarkColorScheme
import androidx.compose.material3.dynamicLightColorScheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment.Companion.CenterHorizontally
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.LocalContext
import androidx.compose.ui.unit.dp


val compactSpacing = 16 . dp

@Composable fun ZanburTheme ( content : @Composable () -> Unit ) {
	val colorScheme = run {
		val context = LocalContext . current
		if ( isSystemInDarkTheme () )
			dynamicDarkColorScheme (context)
		else
			dynamicLightColorScheme (context)
	}

	MaterialTheme ( colorScheme, shapes , typography , content )
}

@Composable fun CenteringColumn (
	modifier : Modifier = Modifier ,
	content : @Composable ColumnScope . () -> Unit ,
) = Column ( modifier , Center , CenterHorizontally , content )
