package com.kernelmaft.zanbur

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable
import kotlinx.serialization.encodeToString
import kotlinx.serialization.json.Json



fun publishSceneChange ( group : Group , newScene : Scene ) {
	val topic = Config . MQTT_TOPIC + "/" + group . name + "/set"
	val packet = Json . encodeToString ( SceneRecallPacket ( newScene . id ) )
		. toByteArray ()
		. asUByteArray ()
	MqttClient.publish ( topic , packet )
}

@Serializable private data class SceneRecallPacket (
	@SerialName ("scene_recall") val sceneRecall : Int ,
)
